comu/urls.py
from django.conf.urls import url
from . import views
urlpatterns = [
    url(r'^loginh/', views.index),
url(r'^login/$','django.contrib.auth.views.login',name='login'),
url(r'^logout/$','django.contrib.auth.views.logout',name='logout'),
url(r'^logout-then-login/$','django.contrib.auth.views.logout_then_login',name='logout_then_login'),
url(r'^$', views.dashboard, name='dashboard'),
url(r'^register/$', views.register, name='register'),

url(r'^edit/$', views.edit, name='edit'),

]

comunication/urls.py
from django.conf.urls import include, url

from django.contrib import admin
from django.conf import settings
from django.conf.urls.static import static
from django.contrib.staticfiles.urls import static,staticfiles_urlpatterns

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^account/', include('comu.urls')),
    url(r'^images/', include('images.urls', namespace='images')),
]
urlpatterns +=staticfiles_urlpatterns()
urlpatterns += static(settings.MEDIA_URL,document_root=settings.MEDIA_ROOT)

images/urls.py
from django.conf.urls import url
from . import views
urlpatterns = [
url(r'^create/$', views.image_create, name='create'),
]

comu/models.py
# from __future__ import unicode_literals

from django.db import models
from django.contrib.auth.models import User
from django.dispatch import receiver
from django.db.models.signals import post_save
from django.core.files.storage import FileSystemStorage
from django.conf import settings
fs=FileSystemStorage(location=settings.MEDIA_ROOT)
class Profile(models.Model):
    user = models.OneToOneField(settings.AUTH_USER_MODEL)
    date_of_birth = models.DateField(blank=True, null=True)
    photo = models.ImageField("profile image",upload_to='users/',blank=True, storage=fs)

    def __str__(self):
        return 'Profile for user {}'.format(self.user.username)
@receiver(post_save, sender=User)
def create_user_profile(sender, instance, created, **kwargs):
    if created:
        Profile.objects.create(user=instance)

@receiver(post_save, sender=User)
def save_user_profile(sender, instance, **kwargs):
    instance.profile.save()

# class Product(models.Model):
#     user = models.ForeignKey(Profile)
#     text = models.CharField(blank=True,null=True)
#     image = models.ImageField("product image",upload_to='product/',blank=True,storage=fs)

comu/forms.py
from django import forms
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm
from .models import Profile
class LoginForm(forms.Form):
    username = forms.CharField(label="", widget=forms.TextInput(attrs={'placeholder': 'username'}))
    password=forms.CharField(widget=forms.PasswordInput(attrs={'placeholder': 'password'}))

class SignUpForm(UserCreationForm):
   username = forms.CharField(max_length=30, )
   last_name = forms.CharField(max_length=30, required=False, help_text='Optional.')
   first_name = forms.CharField(max_length=30, help_text='Optional.')
   email = forms.EmailField(max_length=254, help_text='Required. Inform a valid email address.')
   password1 = forms.CharField(label='Password', widget=forms.PasswordInput)
   password2 = forms.CharField(label='Repeat password', widget=forms.PasswordInput)
   class Meta:
      model = User
      fields = ('username','first_name','last_name','email','password1', 'password2')
   def clean_password2(self):
      cd = self.cleaned_data
      if cd['password1'] != cd['password2']:
        raise forms.ValidationError('Passwords don\'t match.')
      return cd['password2']


class UserEditForm(forms.ModelForm):
   class Meta:
      model = User
      fields = ('first_name', 'last_name', 'email',)
class ProfileEditForm(forms.ModelForm):
   class Meta:
      model = Profile
      fields = ('date_of_birth', 'photo',)

images/forms.py
from django import forms
from .models import Image
class ImageCreateForm(forms.ModelForm):
    class Meta:
        model = Image
        fields = ('title', 'photo', 'description')

comu/views.py
# from django.http import HttpResponse


from django.http import HttpResponse
from django.shortcuts import render
from django.contrib.auth import authenticate, login
from django.template import loader
from .forms import LoginForm
from django.views import generic
from django.views.generic import View
from django.shortcuts import render_to_response,redirect
from django.contrib.auth.decorators import login_required
from .forms import LoginForm, SignUpForm
from .forms import LoginForm, SignUpForm, \
UserEditForm, ProfileEditForm

# class UserFormView(View):
#     form_class=LoginForm
#     template_name='comu/templates/comu/eror.html'
#     print template_name
#     def get(self,request):
#         form=self.form_class(None)
#         return render(request,self.template_name,{'form':form})
#     def post(self,request):
#         form = self.form_class(None)
#         if form.is_valid():
#               user =form.save(commit=False)
#               username=form.cleaned_data['username']
#               password = form.cleaned_data['password']
#               user.set_password(password)
#               user.save()
#               user=authenticate(username=username,password=password)
#               if user is not None:
#                   if user.is_active:
#                       login(request,user)
#                       return redirect('comu:eror')
#         return render(request, self.template_name, {'form': form})
##########################################


@login_required

def dashboard(request):
          return render(request,'dashboard.html',{'section': 'dashboard'})

def index(request):
    template = loader.get_template('registration/login.html')
    return HttpResponse(template.render())

def register(request):
    if request.method == 'POST':
        user_form = SignUpForm(request.POST)
        if user_form.is_valid():

             new_user = user_form.save(commit=False)

             new_user.set_password(user_form.cleaned_data['password1'])
             new_user.save()
             return render(request,'register_done.html',{'new_user': new_user})
    else:
       user_form = SignUpForm()
    return render(request,'register.html',{'user_form': user_form})


@login_required
def edit(request):
    if request.method == 'POST':
        user_form = UserEditForm(request.POST , instance=request.user)
        profile_form = ProfileEditForm(request.POST, request.FILES, instance=request.user.profile)
        if user_form.is_valid() and profile_form.is_valid():
            user_form.save()
            profile_form.save()

    else:
        user_form = UserEditForm(instance=request.user)
        profile_form = ProfileEditForm(instance=request.user.profile)
    return render(request, 'edit.html', {'user_form': user_form, 'profile_form': profile_form})

comu/templates/base.html
{% load staticfiles %}
<!DOCTYPE html>
<html>
<head>
<title>{% block title %}{% endblock %}</title>
<link href="{% static "style.css" %}" rel="stylesheet">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
{##}
   <link href="{% static "style3.css" %}" rel="stylesheet">
<script src="{% static "style4.js" %}" type="text/javascript"></script>
<link rel="alternate" type="application/json+oembed" href="https://codepen.io/api/oembed?url=https://codepen.io/ainalem/pen/EQXjOR&amp;format=json" title="Snake highlight">
<script async="" src="//www.google-analytics.com/analytics.js"></script>
<link href="https://fonts.googleapis.com/css?family=Poppins:600" rel="stylesheet">



{##}
</head>
<body>


<nav class="navbar navbar-inverse">
  <div class="container-fluid">

    <div class="navbar-header">
      <a class="navbar-brand" href="{% url "dashboard" %}"  style="color: #FFFFFF">SocialPS</a>
    </div>
      {% if request.user.is_authenticated %}
    <ul class="nav navbar-nav">
      <li class="active"><a href="{% url "dashboard" %}">mydashbord</a></li>
      <li class="active"><a href="{% url "images:create" %}">image</a></li>
      <li class="active"><a href="#">people</a></li>
    <li class="active"><a href="{% url "edit" %}">editProfile</a></li>


    </ul>
      {% endif %}
      {% if request.user.is_authenticated %}
      <ul class="nav navbar-nav navbar-right">
          <li><a href="{% url "logout" %}"><span class="glyphicon glyphicon-user" style="color: red"></span> logout</a></li>
{#          <li><a href="{% url "register" %}"><span class="glyphicon glyphicon-user" style="color: aquamarine"></span> signup</a></li>#}

           </ul>
          {% else %}
           <ul class="nav navbar-nav navbar-right">
          <li><a href="{% url "login" %}"><span class="glyphicon glyphicon-user" style="color: #2ecc71"></span> login</a></li>
           <li><a href="{% url "register" %}"><span class="glyphicon glyphicon-user" style="color: aquamarine"></span> signup</a></li>
          </ul>
          {% endif %}

  </div>
</nav>
{#<div class="container">#}
{% block content %}
{% endblock %}
{#</div>#}
</body>
</html>

comu/templates/dashboard.html
{% extends "base.html" %}
{% block title %}Dashboard{% endblock %}
{% block content %}
<h1>Dashboard </h1>
<p>Welcome to your dashboard.</p>
{% endblock %}

comu/templates/edit.html
{% extends "base.html" %}
{% block title %}Edit your account{% endblock %}
{% block content %}
<h1>Edit your account</h1>
<p>You can edit your account using the following form:</p>
<form action="." method="post" enctype="multipart/form-data">
{#<div class="form-group">#}
{#  <label for="pwd"><strong>FirstName:</strong></label>#}
{#   <p style="color:#2ecc71">{{ user_form.first_name }}</p>#}
{#    <label for="pwd">lastname</label>#}
{#   <p style="color:#2ecc71">{{ user_form.last_name }}</p>#}
{#    <label for="pwd">birthday</label>#}
{#   <p style="color:#2ecc71">{{ profile_form.date_of_birth }}</p>#}
{##}
{#    <label for="pwd">Photo</label>#}
{#    <p style="color:#2ecc71">{{ profile_form.photo }}</p>#}
{##}
{##}
{#</div>#}
{% load staticfiles  %}

    <div class="panel panel-primary" style="width: 380px">
      <div class="panel-heading">Panel information</div>
        <div class="panel-body">
          {{ user_form.as_p }}
           {{ profile_form.as_p }}

{#            <label for="pwd"><strong>FirstName:</strong></label>#}
{#            <input type="text" value="{{ user.first_name }}" class="form-control" id="usr">#}
{#            <label for="pwd"><strong>LastName:</strong></label>#}
{#            <input type="text" value="{{ user.last_name }}" class="form-control" id="usr">#}
{#            <label for="pwd"><strong>Email:</strong></label>#}
{#                        <input type="text" value="{{ user.email }}" class="form-control" id="usr">#}
{#                  <label for="pwd">birthday</label>#}
{#   <input type="text" value="{{ user.profile.date_of_birth }}" class="form-control" id="usr">#}
            <br/>
{% if user.profile.photo %}
            <div align="center"> <img src="{{ user.profile.photo.url }}" class= "img-circle" type="file"  alt= "Cinque Terre" width="200" height="200"></div>
{% else %}
    <div align="center"> <img src="{% static 'images/167675.jpg' %}" class= "img-circle" type="file"  alt= "Cinque Terre" width="200" height="200"></div>

 {% endif %}
            <br/>
       <input type="submit" class="btn btn-info" value="Save Changes">

{#         {{ profile_form.photo}}#}



      </div>






    </div>
{% csrf_token %}

</form>
{% endblock %}

comu/templates/eror.html
{% load static %}
{% block title %}Log-in{% endblock %}
{% block content %}
<h1>Log-in</h1>
<p>Please, use the following form to log-in:</p>
<form action="" method="post">
{{ form.as_p }}
{% csrf_token %}
<p><input type="submit" value="Log-in"></p>
</form>
    <link rel="stylesheet" type="text/css" href="{% static 'style.css' %}" />
{% endblock %}

comu/templates/form.html
{% load widget_tweaks %}

<form method="post" novalidate>
  {% csrf_token %}

  {% for hidden_field in form.hidden_fields %}
    {{ hidden_field }}
  {% endfor %}

  {% if form.non_field_errors %}
    <div class="alert alert-danger" role="alert">
      {% for error in form.non_field_errors %}
       <p style="color: #2ecc71"> {{ error }}</p>
      {% endfor %}
    </div>
  {% endif %}

  {% for field in form.visible_fields %}
    <div class="form-group">
      {{ field.label_tag }}

      {% if form.is_bound %}
        {% if field.errors %}
          {% render_field field class="form-control is-invalid" %}
          {% for error in field.errors %}
            <div class="invalid-feedback">
               <p style="color: red"> {{ error }}</p>
            </div>
          {% endfor %}
        {% else %}
          {% render_field field class="form-control is-valid" %}
        {% endif %}
      {% else %}
        {% render_field field class="form-control" %}
      {% endif %}

      {% if field.help_text %}
        <small class="form-text text-muted" >{{ field.help_text }}</small>
      {% endif %}
    </div>
  {% endfor %}

  <button type="submit" class="btn btn-primary">Submit</button>


</form>

comu/templates/form2.html
{% load widget_tweaks %}

<form method="post" novalidate>
  {% csrf_token %}

  {% for hidden_field in user_form.hidden_fields %}
    {{ hidden_field }}
  {% endfor %}

  {% if user_form.non_field_errors %}
    <div class="alert alert-danger" role="alert">
      {% for error in user_form.non_field_errors %}
       <p style="color: #2ecc71"> {{ error }}</p>
      {% endfor %}
    </div>
  {% endif %}

  {% for field in user_form.visible_fields %}
    <div class="form-group">
      {{ field.label_tag }}

      {% if user_form.is_bound %}
        {% if field.errors %}
          {% render_field field class="form-control is-invalid" %}
          {% for error in field.errors %}
            <div class="invalid-feedback">
               <p style="color: red"> {{ error }}</p>
            </div>
          {% endfor %}
        {% else %}
          {% render_field field class="form-control is-valid" %}
        {% endif %}
      {% else %}
        {% render_field field class="form-control" %}
      {% endif %}

      {% if field.help_text %}
        <small class="form-text text-muted" >{{ field.help_text }}</small>
      {% endif %}
    </div>
  {% endfor %}

  <button type="submit" class="btn btn-primary">Submit</button>
</form>

comu/templates/register.html
{#{% extends "base.html" %}#}
{#{% block title %}Create an account{% endblock %}#}
{#{% block content %}#}
{#<h1>Create an account</h1>#}
{#<p>Please, sign up using the following form:</p>#}
{#<form action="." method="post">#}
{#{% csrf_token %}#}
{# {% include 'form2.html' with user_form=user_form %}#}
{#</form>#}
{#{% endblock %}#}


{% extends 'base.html' %}
{% block content %}
<div class="page">
  <div class="container" style="color: aquamarine">
    <div class="left">
      <div class="login">Signup</div>
      <div class="eula">By logging in you agree to the ridiculously long terms that you didn't bother to read</div>
    </div>
    <div class="right" >
      <div class="form">

            {% csrf_token %}
{#            <label for="email">Email</label>#}
{#        <input type="email" id="email">#}
{#        <label for="password">Password</label>#}
{#        <input type="password" id="password">#}
{#        <input type="submit" id="submit" value="Submit">#}
           {% include 'form2.html' with user_form=user_form %}
      </div>
    </div>
  </div>
</div>
{% endblock %}

comu/templates/register_done.html
{% extends "base.html" %}
{% block title %}Welcome{% endblock %}
{% block content %}
<h1>Welcome {{ new_user.first_name }}!</h1>
<p>Your account has been successfully created. Now you can <a
href="{% url "login" %}">log in</a>.</p>
{% endblock %}

images/templates/create.html
{% extends "base.html" %}
{% load widget_tweaks %}
{% block title %}Bookmark an image{% endblock %}
{% block content %}
<h1>Bookmark an image</h1>
{#<img src="{{ request.GET.url }}" class="image-preview">#}
<form action="." method="post" enctype="multipart/form-data">
{#{{ form.as_p }}#}
{#{% csrf_token %}#}
{#<input type="submit" value="save it!">#}

    {% csrf_token %}
    {{ form.non_field_errors }}
<div class="fieldWrapper">
    {{ form.title.errors }}
    <label for="">Name:</label>

    {{ form.title }}
</div>
    <div class="fieldWrapper">
    {{ form.photo.errors }}
    <label for="">Photo:</label>
        <br>
    {{ form.photo }}
</div>
<div class="fieldWrapper">
    {{ form.description.errors }}
    <label for="">Description:</label>
    <br>
    {{ form.description }}
</div>
    <input type="submit" class="btn btn-info" value="Save it!" />
</form>
{% endblock %}